import request from '@/utils/request'

// 查询调度会议列表
export function listDailyMeeting(query) {
  return request({
    url: '/plant/dailyMeeting/list',
    method: 'get',
    params: query
  })
}

// 发送邮件
export function sendMail(query) {
  return request({
    url: '/plant/dailyMeeting/sendMail',
    method: 'get',
    params: query
  })
}

// 查询调度会议详细
export function getDailyMeeting(id) {
  return request({
    url: '/plant/dailyMeeting/' + id,
    method: 'get'
  })
}

// 查询最新会议详细
export function getDailyMeetingLast(query) {
  return request({
    url: '/plant/dailyMeeting/last',
    method: 'get',
    params: query
  })
}

// 新增调度会议
export function addDailyMeeting(data) {
  return request({
    url: '/plant/dailyMeeting',
    method: 'post',
    data: data
  })
}

// 修改调度会议
export function updateDailyMeeting(data) {
  return request({
    url: '/plant/dailyMeeting',
    method: 'put',
    data: data
  })
}

// 删除调度会议
export function delDailyMeeting(id) {
  return request({
    url: '/plant/dailyMeeting/' + id,
    method: 'delete'
  })
}

// 导出调度会议
export function exportDailyMeeting(query) {
  return request({
    url: '/plant/dailyMeeting/export',
    method: 'get',
    params: query
  })
}
